<?php
/**
 * The template for displaying 404 pages (Not Found)

 */
	global  $cs_theme_options;
	get_header();
?>
 	<!-- Col Md 12 -->
   	<section class="page-section">
        <div class="container">
            <div class="row">
                <div class="page-not-found">
                   <figure><img src="<?php echo get_template_directory_uri(); ?>/assets/images/img.png"></figure>
                  <div class="cs-content404">
                    <h2><?php _e('Error <span style="color:#f37735; font-weight:600;">404</span>','pc');?></h2>
                     <div class="found">
                        <h1><?php _e('Oops, This Page Could Not Be Found!','pc'); ?></h1>
                    </div>
                     <p><?php _e('Unfortunately the page you were looking for could not be found. It may be temporarily unavailable, moved or no longer exist. <br>
                    Check the URL you entered for any mistakes and try again. <a href="'.site_url().'">Back to home</a>','pc'); ?></p> 
                   	<div class="cs-search-area">
                      <?php get_search_form(); ?>
                    </div>
                  </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Col Md 12 --> 
<?php get_footer();?>