/* ---------------------------------------------------------------------------
* Navigation Height Function
* --------------------------------------------------------------------------- */
  jQuery(document).ready(function($) {
	  "use strict";
        if ($('.logo,.navigation,.navigation ul > li > a').length) {
            var contentH = $('.main-navbar').height() - 0;
            $('.logo,.navigation,.navigation .navbar-collapse > ul > li > a,.search-sec .cs_searchbtn').height();
            $('.logo,.navigation,.navigation .navbar-collapse > ul > li > a,.search-sec .cs_searchbtn').css('min-height', contentH + 'px');
            $('.logo,.navigation,.navigation .navbar-collapse > ul > li > a,.search-sec .cs_searchbtn').css('line-height', contentH + 'px');
        }
  });

/* ---------------------------------------------------------------------------
	* nice scroll for theme
 	* --------------------------------------------------------------------------- */
	function cs_nicescroll(){
		'use strict';	
		var nice = jQuery("html").niceScroll({mousescrollstep: "70",scrollspeed: "150",}); 
	}
	
/* ---------------------------------------------------------------------------
*	TopStrip Toggle Function
* --------------------------------------------------------------------------- */
jQuery(document).ready(function($){
		"use strict";
		jQuery("a.striptoggle").click(function(){
			jQuery(".top-bar").slideToggle();
			jQuery("a.striptoggle").toggleClass('addicon');
	   });
});

/* ---------------------------------------------------------------------------
*	Navigation SubMenu Function
* --------------------------------------------------------------------------- */
jQuery(".sub-dropdown").parent("li").addClass("parentIcon");


/* ---------------------------------------------------------------------------
  * Textarea Focus Function's
  * --------------------------------------------------------------------------- */
  jQuery(document).ready(function($){
	  "use strict";
		jQuery('input,textarea').focus(function(){
		   jQuery(this).data('placeholder',jQuery(this).attr('placeholder'))
		   jQuery(this).attr('placeholder','');
		});
		jQuery('input,textarea').blur(function(){
		   jQuery(this).attr('placeholder',jQuery(this).data('placeholder'));
		});
});

/* ---------------------------------------------------------------------------
  * Setting Header top strip Toggle Cookies
  * --------------------------------------------------------------------------- */						
function cs_open_close_toggle(admin_url){
	'use strict';
	var dataString='post_id=post_id&action=cs_open_close_toggle';
	jQuery.ajax({
		type:"POST",
		url: admin_url,
		data:dataString, 
		success:function(response){
			
		}
	});
	return false;
}

/* ---------------------------------------------------------------------------
  * MailChimp Function's
  * --------------------------------------------------------------------------- */

function cs_mailchimp_submit(theme_url,counter,admin_url){
    'use strict';
    $ = jQuery;
   // $('#btn_newsletter_'+counter).hide();
    $('#process_'+counter).html('<div id="process_newsletter_'+counter+'"><i class="icon-refresh icon-spin"></i></div>');
    $.ajax({
        type:'POST', 
        url: admin_url,
        data:$('#mcform_'+counter).serialize()+'&action=cs_mailchimp', 
        success: function(response) {
            $('#mcform_'+counter).get(0).reset();
            $('#newsletter_mess_'+counter).fadeIn(600);
            $('#newsletter_mess_'+counter).html(response);
            $('#btn_newsletter_'+counter).fadeIn(600);
            $('#process_'+counter).html('');
        }
    });
}



/* ---------------------------------------------------------------------------
  * TimeTable Function's
  * --------------------------------------------------------------------------- */						
function timetable_js(){
	
	jQuery(".timetable tr td.event-time:empty").addClass("empty").removeClass("event-time")

	var trlength = jQuery(".timetable tbody tr").length
	 jQuery('.timetable tr') .each(function(){
	  var a = jQuery(this).find('td.empty').length;
	  if (a == 7) {
	   jQuery(this).hide()
	  }
	 });
	
}

// timetable onchange ajax function
function cs_timetable_change_class(class_id, timetableid, theme_url, admin_url){
   "use strict";
   jQuery("#timetable-wrapper-ajax").html('<div class="table-spinner"><i class="icon-spinner8 icon-spin"></i></div>');
   jQuery(".sortby ul li").removeClass("active");
   jQuery('#class-listing-'+class_id).addClass("active");
   //jQuery("#loading_div").show();
   var dataString = 'class_id=' + class_id + '&table_id=' + timetableid + '&action=cs_class_filter';
            jQuery.ajax({
                type:"POST",
                url: admin_url,
    			data:dataString, 
                success:function(response){
					if(response.length > 2){		
						jQuery("#timetable-wrapper-ajax").html(response);
						 jQuery(".timetable tr td.event-time:empty").addClass("empty").removeClass("event-time")
                            	var trlength = jQuery(".timetable tbody tr").length
								 jQuery('.timetable tr') .each(function(){
								  var a = jQuery(this).find('td.empty').length;
								  if (a == 7) {
								   jQuery(this).hide()
								  }
								 });
					} else {
						jQuery("#timetable-wrapper-ajax").html('No Result Found.');
						
					}
		}
	});
	//return false;
}

/* ---------------------------------------------------------------------------
	* skills Function
 	* --------------------------------------------------------------------------- */
	function cs_skill_bar(){
		
		"use strict";	 
		jQuery(document).ready(function($){
			jQuery('.skillbar').each(function($) {
				jQuery(this).waypoint(function(direction) {
					jQuery(this).find('.skillbar-bar').animate({
						width: jQuery(this).attr('data-percent')
					}, 2000);
				}, {
					offset: "100%",
					triggerOnce: true
				});
			});
		});
	}

/* ---------------------------------------------------------------------------
  * Remove Empty P Tag Function
  * --------------------------------------------------------------------------- */
jQuery('p').each(function() {
    var jQuerythis = jQuery(this);
    if(jQuerythis.html().replace(/\s|&nbsp;/g, '').length == 0)
        jQuerythis.remove();
});


/* ---------------------------------------------------------------------------
  * Responsive Video Function
  * --------------------------------------------------------------------------- */

  jQuery(document).ready(function($) {
    jQuery(".main-section").fitVids();
  });

(function(e){"use strict";e.fn.fitVids=function(t){var n={customSelector:null,ignore:null};if(!document.getElementById("fit-vids-style")){var r=document.head||document.getElementsByTagName("head")[0];var i=".fluid-width-video-wrapper{width:100%;position:relative;padding:0;}.fluid-width-video-wrapper iframe,.fluid-width-video-wrapper object,.fluid-width-video-wrapper embed {position:absolute;top:0;left:0;width:100%;height:100%;}";var s=document.createElement("div");s.innerHTML='<p>x</p><style id="fit-vids-style">'+i+"</style>";r.appendChild(s.childNodes[1])}if(t){e.extend(n,t)}return this.each(function(){var t=['iframe[src*="player.vimeo.com"]','iframe[src*="youtube.com"]','iframe[src*="youtube-nocookie.com"]','iframe[src*="kickstarter.com"][src*="video.html"]',"object","embed"];if(n.customSelector){t.push(n.customSelector)}var r=".fitvidsignore";if(n.ignore){r=r+", "+n.ignore}var i=e(this).find(t.join(","));i=i.not("object object");i=i.not(r);i.each(function(){var t=e(this);if(t.parents(r).length>0){return}if(this.tagName.toLowerCase()==="embed"&&t.parent("object").length||t.parent(".fluid-width-video-wrapper").length){return}if(!t.css("height")&&!t.css("width")&&(isNaN(t.attr("height"))||isNaN(t.attr("width")))){t.attr("height",9);t.attr("width",16)}var n=this.tagName.toLowerCase()==="object"||t.attr("height")&&!isNaN(parseInt(t.attr("height"),10))?parseInt(t.attr("height"),10):t.height(),i=!isNaN(parseInt(t.attr("width"),10))?parseInt(t.attr("width"),10):t.width(),s=n/i;if(!t.attr("id")){var o="fitvid"+Math.floor(Math.random()*999999);t.attr("id",o)}t.wrap('<div class="fluid-width-video-wrapper"></div>').parent(".fluid-width-video-wrapper").css("padding-top",s*100+"%");t.removeAttr("height").removeAttr("width")})})}})(window.jQuery||window.Zepto)