<?php
/**
 * The template for displaying Comment form
 */
 
	global $cs_theme_options;
	if ( comments_open() ) {
		if ( post_password_required() ) return;
	}
?>
<?php if ( have_comments() ) : ?>
<div class="col-md-12">
	<div id="cs-comments" class="cs-comments cs-classic-form cs_form_styling">
        
        <div class="cs-section-title"><h2><?php echo comments_number(__('No Comments', 'pc'), __('1 Comment', 'pc'), __('% Comments', 'pc') );?></h2></div>
        <ul>
            <?php wp_list_comments( array( 'callback' => 'cs_comment' ) );	?>
        </ul>
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
            <div class="navigation">
                <div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'pc') ); ?></div>
                <div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'pc') ); ?></div>
            </div> <!-- .navigation -->
        <?php endif; // check for comment navigation ?>
        
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
            <div class="navigation">
                <div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'pc') ); ?></div>
                <div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'pc') ); ?></div>
            </div><!-- .navigation -->
        <?php endif; ?>
    </div>
</div>
<?php endif; // end have_comments() ?>
<div class="col-md-12">
   <div id="Form" class="cs-classic-form cs_form_styling">
	
		<?php 
        global $post_id;
        $you_may_use = __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', 'pc');
        $must_login = __( 'You must be <a href="%s">logged in</a> to post a comment.', 'pc');
        $logged_in_as = __('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'pc');
        $required_fields_mark = ' ' . __('Required fields are marked %s', 'pc');
        $required_text = sprintf($required_fields_mark , '<span class="required">*</span>' );

        $defaults = array( 'fields' => apply_filters( 'comment_form_default_fields', 
            array(
                'notes' => '',
                
                'author' => '<p>'.
                '<label class="icon-usr"><i class="icon-user9"></i> ' .
                ''.( $req ? __( '', 'pc') : '' ) .'<input placeholder="Your Name" id="author"  name="author" class="nameinput" type="text" value=""' .
                esc_attr( $commenter['comment_author'] ) . ' tabindex="1"></label>' .
                '</p><!-- #form-section-author .form-section -->',
                
                'email'  => '<p>' .
                '<label class="icon-envlp"><i class="icon-envelope4"></i> ' .
                ''.( $req ? __( '', 'pc') : '' ) .''.
                '<input placeholder="Valid Email Address" id="email"  name="email" class="emailinput" type="text"  value=""' . 
                esc_attr(  $commenter['comment_author_email'] ) . ' size="30" tabindex="2"></label>' .
                '</p><!-- #form-section-email .form-section -->',
				 
                'url'    => '<p>' .
                '<label class="icon-globe"><i class="icon-globe4"></i> ' .
                '<input  placeholder="Valid Email Address" id="url" name="url" type="text" class="websiteinput"  value="" size="30" tabindex="3"></label>' .
                '</p><!-- #<span class="hiddenSpellError" pre="">form-section-url</span> .form-section -->',
				
				
				'phone'    => '<p>' .
                '<label class="icon-phone"><i class="icon-phone8"></i> ' .
                '<input placeholder="Phone number"  name="url" type="text" class="phone"  value="" size="30" tabindex="3"></label>' .
                '</p><!-- #<span class="hiddenSpellError" pre="">form-section-url</span> .form-section -->' ) ),
				
				
                
                'comment_field' => '<p class="comment-form-comment">'.
                '<label class="icon-qute"><i class="icon-quote4"></i> <textarea placeholder="Enter your message" id="comment_mes" name="comment"  class="commenttextarea" rows="4" cols="39"></textarea></label>' .
                '</p><!-- #form-section-comment .form-section -->',
                
                'must_log_in' => '<p class="form-submit-loggedin">' .  sprintf( $must_login,	wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</label></p>',
                'logged_in_as' => '<p class="form-submit-loggedin">' . sprintf( $logged_in_as, admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ),
                'comment_notes_before' => '',
                'comment_notes_after' =>  '',
                'class_form' => 'form-style',
                'id_form' => 'contact_formnLb',
				'class_submit' => 'form-style',
                'id_submit' => 'cs-bg-color',
                'title_reply' => __( 'Leave us a Reply', 'pc' ),
                'title_reply_to' => __( 'Leave a Reply to %s', 'pc' ),
                'cancel_reply_link' => __( 'Cancel Reply', 'pc' ),
                'label_submit' => __( 'Submit', 'pc' ),); 
                comment_form($defaults, $post_id); 
            ?>
    </div>
</div>

<!-- Col Start -->