<?php
/**
 * File Type: Team Shortcode
 */
	

//======================================================================
// Adding Team Posts Start
//======================================================================
if (!function_exists('cs_class_shortcode')) {
	function cs_class_shortcode( $atts ) {
		global $post,$wpdb,$cs_theme_options,$cs_counter_node,$cs_xmlObject;
		$defaults = array('cs_class_section_title'=>'','cs_class_view'=>'','cs_class_cat'=>'','cs_class_orderby'=>'DESC','orderby'=>'ID','cs_class_num_post'=>'10','cs_class_filterable'=>'','class_pagination'=>'','cs_class_class' => '','cs_class_animation' => '');
		extract( shortcode_atts( $defaults, $atts ) );
		
		$CustomId	= '';
		if ( isset( $cs_class_class ) && $cs_class_class ) {
			$CustomId	= 'id="'.$cs_class_class.'"';
		}
		
		if ( trim($cs_class_animation) !='' ) {
			$cs_custom_animation	= 'wow'.' '.$cs_class_animation;
		} else {
			$cs_custom_animation	= '';
		}
		$owlcount = rand(40, 9999999);
		$cs_counter_node++;
		ob_start();
		
		if (isset($cs_xmlObject->sidebar_layout) && $cs_xmlObject->sidebar_layout->cs_page_layout <> '' and $cs_xmlObject->sidebar_layout->cs_page_layout <> "none"){				
				$cs_post_class_layout = 'col-md-6';
		}else{
				$cs_post_class_layout = 'col-md-4';	
		}
		
		//==Filters
		$cs_filter_category = '';
		
       	
		//==Sorting End 
		if ( isset($_GET['filter_category']) && $_GET['filter_category'] <> '' && $_GET['filter_category'] <> '0' ) { 
			$cs_filter_category = $_GET['filter_category'];
		}else{
			$cs_filter_category = $cs_class_cat;
		}
		if (empty($_GET['page_id_all'])) $_GET['page_id_all'] = 1;

		$cs_class_num_post	= $cs_class_num_post ? $cs_class_num_post : '-1';
		
		$args = array('posts_per_page' => "-1", 'post_type' => 'class', 'order' => $cs_class_orderby,'post_status' => 'publish');
		if(isset($cs_filter_category) && $cs_filter_category <> '' &&  $cs_filter_category <> '0'){
			$cs_class_cats = array('class-category' => "$cs_filter_category");
			$args = array_merge($args, $cs_class_cats);
		}
		$query = new WP_Query( $args );
		$count_post = $query->post_count;
		$cs_class_num_post	= $cs_class_num_post ? $cs_class_num_post : '-1';
		$args = array('posts_per_page' => "$cs_class_num_post", 'post_type' => 'class', 'paged' => $_GET['page_id_all'], 'order' => $cs_class_orderby, 'post_status' => 'publish');

		if(isset($cs_filter_category) && $cs_filter_category <> '' &&  $cs_filter_category <> '0'){
			$cs_category = array('class-category' => "$cs_filter_category");
			$args = array_merge($args, $cs_category);
		}
		
		if($cs_class_filterable=='yes'){
			echo '<div class="col-md-12"><div class="filter_nav"><ul class="splitter">';
			
			  $cs_row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from $wpdb->terms WHERE slug = %s", $cs_class_cat ));
			
			  if( isset($cs_class_cat) && ($cs_class_cat <> "" && $cs_class_cat <> "0")   && isset( $cs_row_cat->term_id )){	
				$categories = get_categories( array('child_of' => "$cs_row_cat->term_id", 'taxonomy' => 'class-category', 'hide_empty' => false));
			  ?>
				<li><a href="?<?php echo 'filter_category='.$cs_class_cat;  if ( isset($_GET['page_id']) ) echo "&amp;page_id=".$_GET['page_id'];?>" class="<?php if(($cs_class_cat == $cs_filter_category)){ echo 'bgcolr';}?>"><?php  _e('All','pc'); ?></a></li>
				<?php
				  }else{
					  $categories = get_categories( array('taxonomy' => 'class-category', 'hide_empty' => 1) );
				}
				
				foreach ($categories as $category) {
					?>
				  <li><a href="?<?php echo "filter_category=".$category->slug ;if ( isset($_GET['page_id']) ) echo "&amp;page_id=".$_GET['page_id'];?>" 
							  <?php if($category->slug==$cs_filter_category){echo 'class="active"';}?>> <?php echo cs_allow_special_char($category->cat_name); ?> </a></li>
				  <?php }
			echo '</ul></div></div>';
		}
		
		
		$outerDivStart	= '<div '.$CustomId.' class="'.$cs_custom_animation.'">';
		$outerDivEnd	= '</div>';
		$section_title  = '';
		
		if(isset($cs_class_section_title) && trim($cs_class_section_title) <> ''){
			$section_title = '<div class="main-title col-md-12"><div class="cs-section-title"><h2>'.$cs_class_section_title.'</h2></div></div>';
		}
		
		$query = new WP_Query( $args );
		$post_count = $query->post_count;
		
	
		if ( $query->have_posts() ) {  
			$postCounter	= 0;
                    	
					  echo cs_allow_special_char($outerDivStart);
					  echo cs_allow_special_char( $section_title );
					  $post_classObject	= new cs_classTemplates();
                      while ( $query->have_posts() )  : $query->the_post();
					  		
					  $postCounter++;
							if ( $cs_class_view == 'grid' ) {
								$post_classObject->cs_grid_view('',$cs_post_class_layout);
							} elseif ( $cs_class_view == 'list' ) {
								$post_classObject->cs_list_view();
							}
							elseif ( $cs_class_view == 'time_table' ) {
								$post_classObject->cs_time_table_view();
							} 
						
					  endwhile;
					  echo cs_allow_special_char( $outerDivEnd );
						  //==Pagination Start
						  
							 if ( $class_pagination == "Show Pagination" && $count_post > $cs_class_num_post && $cs_class_num_post > 0 ) {
								 
								$qrystr = '';
								 if ( isset($_GET['page_id']) ) $qrystr .= "&amp;page_id=".$_GET['page_id'];
								 if ( isset($_GET['filter_category']) ) $qrystr .= "&amp;filter_category=".$_GET['filter_category'];
	 
								echo cs_pagination($count_post, $cs_class_num_post,$qrystr,'Show Pagination');
							 }
						 //==Pagination End	
                         ?>                   
            <?php 
            }
            
		    wp_reset_postdata();	
                
            $post_data = ob_get_clean();
            return $post_data;
         }
	add_shortcode( 'cs_class', 'cs_class_shortcode' );
}
		//=====================================================================
		// Adding Posts flexslider 
		//=====================================================================
		
		function cs_directory_flex_slider( $width,$height,$postid,$view ){
				global $cs_node,$cs_theme_options,$cs_counter_node;
				$cs_post_counter = rand(40, 9999999);
				$is_thumb = 'true';
				$cs_post_counter = rand(40, 9999999);
				$cs_counter_node++;
				
				if ( $view == 'post-list' ){
					$viewMeta	= 'post';  
				} else {
					$viewMeta	= $view;
				}
				$viewMeta = 'class';
				$path	= 'cs_slider_path';
				$cs_meta_slider_options = get_post_meta("$postid", $viewMeta, true); 
				$totaImages = '';
				$cs_xmlObject_flex = new SimpleXMLElement($cs_meta_slider_options);
				$as_node = new stdClass();
				$sliderData	= $cs_xmlObject_flex->children()->gallery_slider;
				?>
				<!-- Flex Slider -->
				<div id="slider-<?php echo esc_attr( $cs_post_counter );?>" class="flexslider cs-pattern-slider">
                  <ul class="slides">
                   <?php 
						$cs_counter = 1;
						foreach ( $sliderData as $as_node ){
							$image_url = cs_attachment_image_src($as_node->$path,$width,$height); 
							echo '<li>
									<figure>
										<img src="'.esc_url( $image_url ).'" alt="">';
										?>
							</figure>
						</li>
						<?php 
						$cs_counter++;
						}
					?>
                    <!-- items mirrored twice, total of 12 -->
                  </ul>
                </div>
                <?php if ( isset( $is_thumb ) && $is_thumb == 'true' ){?>
                <div id="carousel-<?php echo esc_attr( $cs_post_counter );?>" class="flexslider cs-pattern-carousel">
                  <ul class="slides">
                   <?php 
						$cs_counter = 1;
						foreach ( $sliderData as $as_node ){
							$image_url = cs_attachment_image_src($as_node->$path,122,84);
							echo '<li>
									<figure>
										<img src="'.esc_url( $image_url ).'" alt="">';
									?>
									</figure>
								  </li>
						<?php 
						$cs_counter++;
						}
					?>
                    <!-- items mirrored twice, total of 12 -->
                  </ul>
                </div>
				<?php }
				if ( function_exists( 'cs_enqueue_flexslider_script' ) ) {
			//add_action( 'wp_enqueue_scripts', 'cs_enqueue_flexslider_script' );
			cs_enqueue_flexslider_script();
		}
				?>
		
				<!-- Slider height and width -->
		
				<!-- Flex Slider Javascript Files -->
		
				<script type="text/javascript">
					jQuery(window).load(function() {
					  // The slider being synced must be initialized first
					  <?php if (isset( $is_thumb ) && $is_thumb == 'true' ){?>
					  jQuery('#carousel-<?php echo esc_attr( $cs_post_counter );?>').flexslider({
						animation: "slide",
						controlNav: false,
						smoothHeight : true,
						animationLoop: false,
						slideshow: false,
						itemWidth: 121,
						itemMargin: 7,
						asNavFor: '#slider-<?php echo esc_attr( $cs_post_counter );?>'
					  });
					  <?php }?>
					   
					  jQuery('#slider-<?php echo esc_attr( $cs_post_counter );?>').flexslider({
						animation: "slide",
						controlNav: false,
						smoothHeight : true,
						animationLoop: false,
						slideshow: false,
						prevText:"<em class='icon-arrow-left10'></em>",
						nextText:"<em class='icon-arrow-right10'></em>",
						sync: "#carousel-<?php echo esc_attr( $cs_post_counter );?>"
					  });
					});
				</script>
			<?php
			}