<?php
/**
 * The template for displaying all single posts
 */
 	global $cs_node,$post,$cs_theme_options,$cs_counter_node;
	
	$cs_uniq = rand(40, 9999999);
	if ( is_single() ) {
		cs_set_post_views($post->ID);
	}	
	$cs_node = new stdClass();
  	get_header();
 	$cs_layout = '';
	$leftSidebarFlag	= false;
	$rightSidebarFlag	= false;
	?>
<!-- PageSection Start -->

<section class="page-section" style=" padding: 0; "> 
  <!-- Container -->
  <div class="container"> 
    <!-- Row -->
    <div class="row">
      <?php
	if (have_posts()):
		while (have_posts()) : the_post();	
		$postname = 'class';

		$post_xml = get_post_meta($post->ID, "class", true);	
			if ( $post_xml <> "" ) {
			
				$cs_xmlObject = new SimpleXMLElement($post_xml);
				$cs_layout 			= $cs_xmlObject->sidebar_layout->cs_page_layout;
				$cs_sidebar_left 	= $cs_xmlObject->sidebar_layout->cs_page_sidebar_left;
				$cs_sidebar_right   = $cs_xmlObject->sidebar_layout->cs_page_sidebar_right;
				if(isset($cs_xmlObject->cs_related_post))
					$cs_related_post = $cs_xmlObject->cs_related_post;
				else 
					$cs_related_post = '';
				
				if(isset($cs_xmlObject->cs_post_tags_show))
					$post_tags_show = $cs_xmlObject->cs_post_tags_show;
				else 
					$post_tags_show = '';
				
				if(isset($cs_xmlObject->post_social_sharing))
					$cs_post_social_sharing = $cs_xmlObject->post_social_sharing;
				else 
					$cs_post_social_sharing = '';
				
				if(isset($cs_xmlObject->cs_post_author_info_show))
					 $cs_post_author_info_show = $cs_xmlObject->cs_post_author_info_show;
				else 
					$cs_post_author_info_show = '';

				if ( $cs_layout == "left") {
					$cs_layout = "page-content";
					$leftSidebarFlag	= true;
				}
				else if ( $cs_layout == "right" ) {
					$cs_layout = "page-content";
					$rightSidebarFlag	= true;
				}
				else {
					$cs_layout = "col-md-12";
				}
				$postname = 'post';
			}else{
				$cs_layout 	=  $cs_theme_options['cs_single_post_layout'];
				if ( isset( $cs_layout ) && $cs_layout == "sidebar_left") {
					$cs_layout = "page-content";
					$cs_sidebar_left	= $cs_theme_options['cs_single_layout_sidebar'];
					$leftSidebarFlag	= true;
				} else if ( isset( $cs_layout ) && $cs_layout == "sidebar_right" ) {
					$cs_layout = "page-content";
					$cs_sidebar_right	= $cs_theme_options['cs_single_layout_sidebar'];
					$rightSidebarFlag	= true;
				} else {
					$cs_layout = "col-md-12";
				}
  				$post_pagination_show = 'on';
				$post_tags_show = '';
				$cs_related_post = '';
				$post_social_sharing = '';
				$post_social_sharing = '';
				$cs_post_author_info_show = '';
				$postname = 'class';
				$cs_post_social_sharing = '';
			}
			if ($post_xml <> "") {
				$cs_xmlObject = new SimpleXMLElement($post_xml);
 				
				$postname = 'class';
				$cs_class_size = $cs_xmlObject->cs_class_size;
				$cs_class_start_time = $cs_xmlObject->cs_class_start_time;
				$cs_class_end_time = $cs_xmlObject->cs_class_end_time;
				$cs_class_age_limit = $cs_xmlObject->cs_class_age_limit;
				$cs_class_price = $cs_xmlObject->cs_class_price;
				$cs_class_enrol_link = $cs_xmlObject->cs_class_enrol_link;
				$cs_class_faqs_title = $cs_xmlObject->cs_class_faqs_title;
				$cs_class_pattrens_title = $cs_xmlObject->cs_class_pattrens_title;
				$cs_class_faqs_sub_title = $cs_xmlObject->cs_class_faqs_sub_title;
				$cs_class_pattrens_sub_title = $cs_xmlObject->cs_class_pattrens_sub_title;
				$cs_class_teachers = explode(",", $cs_xmlObject->cs_class_teachers);
				$inside_post_view = $cs_xmlObject->inside_post_thumb_view;
				
			}
			else {
				$cs_xmlObject = new stdClass();
				
				$postname = 'class';
				$cs_class_size = '';
				$cs_class_start_time = '';
				$cs_class_end_time = '';
				$cs_class_faqs_title = 'Question and Answers';
				$cs_class_pattrens_title = 'Pattrens';
				$cs_class_faqs_sub_title = '';
				$cs_class_pattrens_sub_title = '';
				$cs_class_age_limit = $cs_class_price = $cs_class_enrol_link = $cs_class_teachers = '';
			}		
		$width = 818;
		$height = 460;
		$image_id = get_post_thumbnail_id( $post->ID );
		$image_url = cs_attachment_image_src($image_id, $width, $height);
		?>
     
      
      <div class="col-md-9 class-detail"> 
      	<div class="row">
          <div class="col-md-12">
          <?php
		  		
 				if (isset($inside_post_view) and $inside_post_view <> '') {
                	if( $inside_post_view == "Slider"){
 						 cs_directory_flex_slider($width,$height,get_the_id(),'post');
					}else{
						if($image_url <> ''){
							echo '<figure><img src="'.$image_url.'" alt="'.get_the_title().'" ></figure>';
					}
				}
			}
		  ?>
          </div>
          
          <div class="col-md-12">
              <div class="rich_editor_text lightbox"><?php the_content(); ?></div>
          </div>
          
          <?php if ( isset( $cs_xmlObject->faqs ) && is_object( $cs_xmlObject ) && count( $cs_xmlObject->faqs )> 0 ) {?>
              <div class="col-md-12">
              	<?php
				$cs_rand_id = rand(1, 10000);
				?>
                <div class="cs-section-title">
                    <h2><?php echo esc_attr($cs_class_faqs_title); ?></h2>
                    <span class="content-subtitle"><?php echo esc_attr($cs_class_faqs_sub_title); ?></span>
                </div>
                <div class="panel-group default" id="accordion-<?php echo absint($cs_rand_id); ?>">
                <?php
				$cs_count_faq		= 0; 
				$cs_count_faqs		= 1; 
				foreach ( $cs_xmlObject as $faq ){
				$cs_count_faq++;
				$cs_background	= '';
				if ( $faq->getName() == "faqs" ) { 
					$cs_faq_title 				= $faq->faq_title;
					$cs_faq_description 		= $faq->faq_description;
					
					$cs_aria_expanded = 'false';
					$cs_data_toggle = 'collapse collapsed';
					$cs_collapse_class = 'collapse';
					if($cs_count_faqs == 1){
						$cs_aria_expanded = 'true';
						$cs_data_toggle = 'collapse';
						$cs_collapse_class = 'collapse in';
					}
					$cs_count_faqs++;
				?>
                  <div class="panel panel-default">
                    <div class="panel-heading">
                      <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion-<?php echo absint($cs_rand_id); ?>" href="#collapseFaq_<?php echo intval( $cs_count_faqs );?>" class="<?php echo esc_attr($cs_data_toggle); ?>" aria-expanded="<?php echo esc_attr($cs_aria_expanded); ?>">
                          <?php echo esc_attr( $cs_faq_title );?>
                        </a>
                      </h4>
                    </div>
                    <div id="collapseFaq_<?php echo intval( $cs_count_faqs );?>" class="panel-collapse <?php echo esc_attr($cs_collapse_class); ?>">
                      <div class="panel-body">
                        <div class="textborder"><?php echo  do_shortcode( $cs_faq_description ) ;?></div>
                      </div>
                    </div>
                  </div>
                <?php } }?>
               </div>
              </div>
		  <?php }?>
          
          <?php if ( isset( $cs_xmlObject->pattrens ) && is_object( $cs_xmlObject ) && count( $cs_xmlObject->pattrens )> 0 ) {?>
              <div class="col-md-12">
                <div class="cs-section-title">
                    <h2><?php echo esc_attr($cs_class_pattrens_title); ?></h2>
                    <span class="content-subtitle"><?php echo esc_attr($cs_class_pattrens_sub_title); ?></span>
                </div>
                <ul class="class-pattren">
                <?php
				$cs_count_pattren		= 0; 
				foreach ( $cs_xmlObject as $pattren ){
				$cs_count_pattren++;
				$cs_background	= '';
				if ( $pattren->getName() == "pattrens" ) { 
					$cs_pattren_title 				= $pattren->pattren_title;
					$cs_pattren_icon 				= $pattren->pattren_icon;
					$cs_pattren_description 		= $pattren->pattren_description;
					
				?>
                  
                  <li>
                  	<i class="<?php echo esc_attr( $cs_pattren_icon );?>"></i>
                  	<div class="patren-info">
                        <h2><?php echo esc_attr( $cs_pattren_title );?></h2>
                        <p class="textborder"><?php echo do_shortcode( $cs_pattren_description ) ;?></p>
                    </div>
                  </li>
                  
                <?php } }?>
                </ul>
              </div>
		  <?php }?>
            
          <?php 
		  $custom_taxterms='';
		  $width  = 360;
		  $height = 203;
		  $custom_taxterms = wp_get_object_terms( $post->ID, array('class-category'), array('fields' => 'ids') );
		  $args = array(
			  'post_type' => $postname,
			  'post_status' => 'publish',
			  'posts_per_page' => '2',
			  'orderby' => 'DESC',
			  'tax_query' => array(
				  array(
					  'taxonomy' => 'class-category',
					  'field' => 'id',
					  'terms' => $custom_taxterms
				  )
			  ),
			  'post__not_in' => array ($post->ID),
		  );
		  $custom_query = new WP_Query($args);
		  if($custom_query->have_posts()){
		  ?>
          <div class="col-md-12">
              <div class="cs-section-title">
                  <h2><?php _e('Related Classes','pc'); ?></h2>
              </div>
              <div class="row">
              <?php 
			  while ($custom_query->have_posts()) : $custom_query->the_post();
	  
			  $image_id = get_post_thumbnail_id( $post->ID );
			  $image_url = cs_attachment_image_src($image_id, $width, $height);
			  
			  if($image_url == ''){
				  $img_class = 'no-image';	
				  $image_url = get_template_directory_uri().'/assets/images/no-image4x3.jpg';
			  }else{
				  $img_class = '';
			  }						 
			  ?>
              <div class="col-md-6">
                <div class="our_classes classes-grid-view">
                    <figure>
                        <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>">
                    </figure>
                    <div class="text">
                        <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date())); ?>"><?php echo date_i18n(get_option('date_format'),strtotime(get_the_date())); ?></time>
                        <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                        <ul class="post-options">
                            <?php  
                       		 	 $categories_list = get_the_term_list ( get_the_id(), 'class-category', '', ' , ', '' );
								 if ( $categories_list ){
									echo '<li class="categories">';
										printf( __( '%1$s', 'pc'),$categories_list );
									echo '</li>';
								}
                			?>
                        </ul>
                    </div>
                </div>
            </div>
            <?php 
			endwhile; 
			wp_reset_postdata(); 
			?>
          </div>
          <?php 
		  }
		  ?>                                   
          <!-- Col Comments Start -->
          <?php comments_template('', true); ?>
          <!-- Col Comments End --> 
              
		  <?php 
          endwhile;   
          endif; 
          ?>
          </div>
          </div>
      </div>
      
      <div class="col-md-3 class-sidebar">
          <ul class="classdetail-options">
			<?php 
				if(is_array($cs_class_teachers)){
                    echo '<li>
                          <small>'.__('Teachers','pc').'</small>';
						  foreach($cs_class_teachers as $t){
							  echo '<span><a href="'.get_permalink($t).'">'.get_the_title($t).'</a></span>';
						  }
                    echo '</li>';
                }
                if($cs_class_age_limit<>''){
                    echo '<li>
							  <small>'.__('Year olds','pc').'</small>
							  <span>'.$cs_class_age_limit.'</span>
						  </li>';
                }
                if($cs_class_size<>''){
                    echo '<li>
							  <small>'.__('Class size','pc').'</small>
							  <span>'.$cs_class_size.'</span>
						  </li>';
                }
				echo '<li>
						  <small>'.__('Class Type','pc').'</small>
						  <span class="class-types">';
							 $categories_list = get_the_term_list ( get_the_id(), 'class-category', '', ', ', '' );
							 if ( $categories_list ){
								printf( __( '%1$s', 'pc'),$categories_list );
							 }
					  echo
					  '</span>
					  </li>';
				echo '<li>
						  <small>'.__('Class Duration','pc').'</small>
						  <span>'.$cs_class_start_time . ' - ' . $cs_class_end_time.'</span>
					  </li>';
                if($cs_class_price<>''){
                    echo '<li class="cs-price-sec">
							  <strong>$'.$cs_class_price.'</strong>
							  <small>'.__('p/h','pc').'</small>
						  </li>';
                }
          if(isset($cs_class_enrol_link) and $cs_class_enrol_link <> ''){
		  ?>
          <li class="cs-class-btn">
              <a href="<?php echo esc_url($cs_class_enrol_link); ?>"><i class="icon-forward3"></i> <?php _e('Enrol your Child','pc'); ?></a>
          </li> 
          </ul>
          <?php
		  }
		  px_next_prev_custom_links('class');
		  ?>
      </div>
      
    </div>
    
  
  </div>
</section>
<!-- PageSection End --> 
<!-- Footer -->
<?php get_footer(); ?>