<?php
/**
 * File Type: Team Shortcode
 */
	

//======================================================================
// Adding Team Posts Start
//======================================================================
if (!function_exists('cs_member_shortcode')) {
	function cs_member_shortcode( $atts ) {
		global $post,$wpdb,$cs_theme_options,$cs_counter_node,$cs_xmlObject;
		$defaults = array('cs_member_section_title'=>'','cs_member_view'=>'','cs_member_cat' =>'','cs_member_excerpt_length'=>'255','cs_member_filterable' =>'','cs_member_orderby'=>'DESC','orderby'=>'ID','cs_member_num_post'=>'10','member_pagination'=>'','cs_member_class' => '','cs_member_animation' => '');
		extract( shortcode_atts( $defaults, $atts ) );
		
		$CustomId	= '';
		if ( isset( $cs_member_class ) && $cs_member_class ) {
			$CustomId	= 'id="'.$cs_member_class.'"';
		}
		
		if ( trim($cs_member_animation) !='' ) {
			$cs_custom_animation	= 'wow'.' '.$cs_member_animation;
		} else {
			$cs_custom_animation	= '';
		}
		$owlcount = rand(40, 9999999);
		$cs_counter_node++;
		ob_start();
		
		if (isset($cs_xmlObject->sidebar_layout) && $cs_xmlObject->sidebar_layout->cs_page_layout <> '' and $cs_xmlObject->sidebar_layout->cs_page_layout <> "none"){				
				$cs_member_layout = 'col-md-4';
		}else{
				$cs_member_layout = 'col-md-3';	
		}
		
		//==Filters
		$cs_filter_category = '';
		
       	
		//==Sorting End 
		if ( isset($_GET['filter_category']) && $_GET['filter_category'] <> '' && $_GET['filter_category'] <> '0' ) { 
			$cs_filter_category = $_GET['filter_category'];
		}else{
			$cs_filter_category = $cs_member_cat;
		}
		if (empty($_GET['page_id_all'])) $_GET['page_id_all'] = 1;

		$cs_member_num_post	= $cs_member_num_post ? $cs_member_num_post : '-1';
		
		$args = array('posts_per_page' => "-1", 'post_type' => 'member', 'order' => $cs_member_orderby,'post_status' => 'publish');
		if(isset($cs_filter_category) && $cs_filter_category <> '' &&  $cs_filter_category <> '0'){
			$cs_member_cats = array('member-category' => "$cs_filter_category");
			$args = array_merge($args, $cs_member_cats);
		}
		$query = new WP_Query( $args );
		$count_post = $query->post_count;
		$cs_member_num_post	= $cs_member_num_post ? $cs_member_num_post : '-1';
		$args = array('posts_per_page' => "$cs_member_num_post", 'post_type' => 'member', 'paged' => $_GET['page_id_all'], 'order' => $cs_member_orderby, 'post_status' => 'publish');

		if(isset($cs_filter_category) && $cs_filter_category <> '' &&  $cs_filter_category <> '0'){
			$cs_category = array('member-category' => "$cs_filter_category");
			$args = array_merge($args, $cs_category);
		}
		
		if($cs_member_filterable=='yes'){
			echo '<div class="col-md-12"><div class="filter_nav"><ul class="splitter">';
			
			  $cs_row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from $wpdb->terms WHERE slug = %s", $cs_member_cat ));
			
			  if( isset($cs_member_cat) && ($cs_member_cat <> "" && $cs_member_cat <> "0")   && isset( $cs_row_cat->term_id )){	
				$categories = get_categories( array('child_of' => "$cs_row_cat->term_id", 'taxonomy' => 'member-category', 'hide_empty' => false));
			  ?>
				<li><a href="?<?php echo 'filter_category='.$cs_member_cat;  if ( isset($_GET['page_id']) ) echo "&amp;page_id=".$_GET['page_id'];?>" class="<?php if(($cs_member_cat == $cs_filter_category)){ echo 'bgcolr';}?>"><?php  _e('All','pc'); ?></a></li>
				<?php
				  }else{
					  $categories = get_categories( array('taxonomy' => 'member-category', 'hide_empty' => 1) );
				}
				
				foreach ($categories as $category) {
					?>
				  <li><a href="?<?php echo "filter_category=".$category->slug ;if ( isset($_GET['page_id']) ) echo "&amp;page_id=".$_GET['page_id'];?>" 
							  <?php if($category->slug==$cs_filter_category){echo 'class="active"';}?>> <?php echo cs_allow_special_char($category->cat_name); ?> </a></li>
				  <?php }
			echo '</ul></div></div>';
		}

		$outerDivStart	= '<div '.$CustomId.' class="'.$cs_custom_animation.'">';
		$outerDivEnd	= '</div>';
		$section_title  = '';
		
		if(isset($cs_member_section_title) && trim($cs_member_section_title) <> ''){
			$section_title = '<div class="main-title col-md-12"><div class="cs-section-title"><h2>'.$cs_member_section_title.'</h2></div></div>';
		}
		///if ( $cs_member_view == 'parallax' ) {
		
		//}
 		$query = new WP_Query( $args );
		$post_count = $query->post_count;
		$memberObject	= new MemberTemplates();
	  	echo cs_allow_special_char($outerDivStart);
		echo cs_allow_special_char( $section_title );
		if ( $cs_member_view == 'parallax' ) {
			$owlcount = rand(40, 9999999);
			cs_owl_carousel();
			?>
            <script type="text/javascript">
			  jQuery(document).ready(function($) {
				jQuery('.cs-theme-carousel-<?php echo cs_allow_special_char($owlcount);?>').owlCarousel({
				  nav: true,
				  margin: 30,
				  navText: [
					"<i class=' icon-angle-left'></i>",
					"<i class='icon-angle-right'></i>"
				  ],
				  responsive: {
					0: {
					  items: 1 // In this configuration 1 is enabled from 0px up to 479px screen size 
					},
		
					480: {
					  items: 2, // from 480 to 677 
					  nav: false // from 480 to max 
					},
		
					678: {
					  items: 3, // from this breakpoint 678 to 959
					  center: false // only within 678 and next - 959
					},
		
					960: {
					  items: 5, // from this breakpoint 960 to 1199
					  center: false,
					  loop: false
		
					},
		
					1200: {
					  items: 6
					}
				  }
				});
			  });
			</script>
			<?php
            echo '<div class="owl-carousel cs-theme-carousel cs-theme-carousel-'.$owlcount.' cs-team-carousel">';
				$memberObject->cs_parallax_view($cs_member_excerpt_length,$query);
			echo '</div>';
		} else {
			$memberObject->cs_grid_view($cs_member_view,$cs_member_excerpt_length,$query);
		} 
		echo cs_allow_special_char( $outerDivEnd );
		//==Pagination Start
		if ( $member_pagination == "Show Pagination" && $count_post > $cs_member_num_post && $cs_member_num_post > 0 ) {
		  $qrystr = '';
		   if ( isset($_GET['page_id']) ) $qrystr .= "&amp;page_id=".$_GET['page_id'];
		
		  echo cs_pagination($count_post, $cs_member_num_post,$qrystr,'Show Pagination');
		}
	    wp_reset_postdata();	
        $post_data = ob_get_clean();
		return $post_data;
     }
	add_shortcode( 'cs_member', 'cs_member_shortcode' );
}
