<?php
/**
 * File Type: Timetable Shortcode
 */
	

//======================================================================
// Adding Timetable Posts Start
//======================================================================
if (!function_exists('cs_timetable_shortcode')) {
	function cs_timetable_shortcode( $atts ) {
		global $post,$wpdb,$cs_theme_options,$cs_counter_node,$cs_xmlObject;
		$defaults = array('cs_timetable_section_title'=>'','cs_timetable_classs'=>'','cs_timetable_filter'=>'','cs_timetable_class' => '','cs_timetable_animation' => '');
		extract( shortcode_atts( $defaults, $atts ) );
		
		$CustomId	= '';
		if ( isset( $cs_timetable_class ) && $cs_timetable_class ) {
			$CustomId	= 'id="'.$cs_timetable_class.'"';
		}
		
		if ( trim($cs_timetable_animation) !='' ) {
			$cs_custom_animation	= 'wow'.' '.$cs_timetable_animation;
		} else {
			$cs_custom_animation	= '';
		}
		$owlcount = rand(40, 9999999);
		$cs_counter_node++;
		
		$limit = 1; 
		$timetable_ids = array();
		$timetable_classes = array();
		$days_default = array(__('Monday', 'pc'), __('Tuesday', 'pc'), __('Wednesday', 'pc'),__('Thursday', 'pc'),__('Friday', 'pc'),__('Saturday', 'pc') ,__('Sunday', 'pc'));
		$days=array();
		
		foreach($days_default as $ds){
			$days[] = $ds;
		}
		if(count($days)<1){
			$days = $days_default;
		}
		$timetable_id = $post->ID;
		
		if ( empty($_GET['page_id_all']) ) $_GET['page_id_all'] = 1;
		
		$args = array(
			'posts_per_page'			=> "$limit",
			'post_type'					=> 'timetable',
			'post_status'				=> 'publish',
			'order'						=> 'DESC',
		);
	
		if(isset($cs_timetable_classs) && $cs_timetable_classs <> ''){
			$timetable_ids[] = (int) $cs_timetable_classs;
			$timetable_query_array = array('post__in' => $timetable_ids);
			//$args = array_merge($args, $timetable_query_array);
		}
		
		ob_start();
		
		if(isset($cs_timetable_section_title) && trim($cs_timetable_section_title) <> ''){
			$section_title = '<div class="main-title col-md-12"><div class="cs-section-title"><h2>'.$cs_timetable_section_title.'</h2></div></div>';
			echo esc_attr($section_title);
		}
		
		?>
        
            <div id="timetable-wrapper" class="<?php echo esc_attr($cs_custom_animation); ?>">
                
                 <?php if(isset($cs_timetable_filter) && $cs_timetable_filter <> 'off'){?>
                        <div class="sortby">
                        <span class="class-date"><?php _e('Filter By','pc');?></span>
                        <div class="slect-style">
                        <?php
						  $custom_query_class = new WP_Query($args);
						  if ( $custom_query_class->have_posts() <> "" ):
							  while ( $custom_query_class->have_posts() ): $custom_query_class->the_post();
							  	  $cs_timetable_id = get_the_id();
							  endwhile;
						  endif;
						  wp_reset_query();
								  
						?>
                        <select onchange="javascript:cs_timetable_change_class(this.value,'<?php echo esc_js($cs_timetable_id); ?>', '<?php echo get_template_directory_uri();?>', '<?php echo esc_js(admin_url('admin-ajax.php'));?>')">
                            <option value=""><?php _e('All','pc'); ?></option>
                           <?php
                           $time_count = 0;
						   $custom_query_class = new WP_Query($args);
							  if ( $custom_query_class->have_posts() <> "" ):
							  	
								  while ( $custom_query_class->have_posts() ): $custom_query_class->the_post();
								  $time_count++;
								  $cs_timetable = get_post_meta($post->ID, "timetable", true);
								  if ( $cs_timetable <> "" ) {
									  $cs_xmlObject = new SimpleXMLElement($cs_timetable);
								  }

								  if(isset($cs_xmlObject->time)){
									  foreach($cs_xmlObject->time as $time){
										  $timetable_classes[]  = (int) $time->var_cp_timetable_class_value;
									  }
								  }
								  endwhile; endif;
								  wp_reset_query();
								  $timetable_classes = array_unique($timetable_classes);
                           		if(isset($timetable_classes) && count($timetable_classes) > 0){
                                $time_count = 0;
                                query_posts( array('post_status' => 'publish', 'post_type' => 'class', 'post__in' => $timetable_classes) );
                                while ( have_posts()) : the_post();
                                $time_count++;
                                ?>
                                    <option id="#<?php echo esc_attr($post->post_name);?>" value="<?php echo get_the_id(); ?>"><?php the_title();?></option>
                               <?php
                               
                                endwhile;
                                }
                                wp_reset_query();?>
                                
                        </select>
                        </div>
                        <!--<span class="class-nav">
                        	<a class="prev" href="#"><i class="icon-forward3"></i></a>
                            <a class="next" href="#"><i class="icon-forward3"></i></a> 
                        </span>-->
                    </div>
                <?php }?>
                <div class='timetable-wrapper' id="timetable-wrapper-ajax">
                <?php 
                    $time_count = 0;
                         $custom_query = new WP_Query($args);
                        if ( $custom_query->have_posts() <> "" ):
                            while ( $custom_query->have_posts() ): $custom_query->the_post();
                            $time_count++;
                            $cs_timetable = get_post_meta($post->ID, "timetable", true);
                            if ( $cs_timetable <> "" ) {
                                $cs_xmlObject = new SimpleXMLElement($cs_timetable);
                                    $var_cp_timetable_class = $cs_xmlObject->var_cp_timetable_class;
                            }else {
                                $var_cp_timetable_class = '';
                            }
    
            if(isset($cs_xmlObject->time)){
                $hours = array("00:00","01:00","02:00","03:00","04:00","05:00","06:00","07:00","08:00","09:00","10:00","11:00","12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","20:00","21:00","22:00","23:00");
                 $hour_row_span = '';
                 $rowspan  = ''; // number of rows to cover( time difference)
                  $row  = ''; // starting from row number
                  $col  = '';
    
                $hour_index = 0;
                $day_index = 0;
                $next_hour = '';
                $nexsundayhour= '';
                $next_hour_timestamp = $current_hour_timestamp = '';
    
                $hour_index = 0;
                $hours_array = array();
                $next_day = '';
                $tablestyle = "";
                if(!isset($cs_xmlObject->time)){
                    $tablestyle = "display: none;";
                }
                $sunday_timetable = $Monday_timetable = $Tuesday_timetable = $Wednesday_timetable = $Thursday_timetable = $Friday_timetable = '';
                //Then echo the table headers
                echo "<div class='timetablesec fullwidth' id='tab1'><table border='1' id='timetableee' style='background-color: #fff; ".$tablestyle."' class='timetable table'><thead><th>Time</th>";
                foreach($days as $day_no){
                    echo "<th id='".$day_no."' data-id='".$day_no."'>".$day_no."</th>";
                }
                echo "</thead><tbody>";
                $hour_index = 0;
                $day_index = 0;
                $next_hour = '';
                $nexsundayhour= '';
                $exist_cell_value = array();
                $next_hour_timestamp = $current_hour_timestamp = '';
                $next_hour_td_remove = 'No';
                $current_td_value = '';
                foreach($hours as $h){
                    $hour_index++;
                    $current_hour_timestamp = strtotime($h);
                if(isset($hours[$hour_index])){
                    $next_hour = $hours[$hour_index];
                    $next_hour_timestamp = strtotime($next_hour);
                }
                if($h == $next_hour){
                    $next_hour = '00:00';
                }
                //start the row
                  echo "<tr id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour)."'><td>".$h.' - '.$next_hour."</td>";
                  $table_day= $days[$day_index];
                    $day_index++;
                    if($day_index>6){
                        $day_index = 0;
                    }
                //now loop through your array and check hour and day, and display
                    $skip_td = '';
                    $find_hour_value = 0;
                        $find_cell_value = '';
                        $coutner_days = 0;
                    //now loop through your array and check hour and day, and display
                    if(isset($cs_xmlObject->time)){
                        $find_hour_value = 0;
                        $find_cell_value = '';
                        $coutner_days = 0;
                        $next_hour_td_remove = 'no';
                        foreach($days as $day_no){
                            $td_id = 'row-'.str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no;
                            $td_click = 'javascript:cs_table_td_remove("'.$td_id.'")';
                            $hour_row = array();
                            $find_cell_value = '';
                            $current_td_id = str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no;
    
                            $hour_row_span = '';
                            $hour_row_span = '';
                            $start_hour = '';
                            
                            $endhour = '';
                            $rowspan_counter = 0;
                            foreach($cs_xmlObject->time as $time){
                                if($time->var_cp_timetable_day==$day_no){
                                    $start_time_compare_array = explode(':', $time->var_cp_timetable_start_time);
                                    $start_time_compare = $start_time_compare_array['0'].':00';
                                    $end_time_compare_array = explode(':', $time->var_cp_timetable_end_time);
                                    if($end_time_compare_array['1']>=30){
                                        $end_time_compare = ($end_time_compare_array['0']+01).':00';
                                    } else {
                                        $end_time_compare = $end_time_compare_array['0'].':00';
                                    }
                                    
                                    if($rowspan_counter>0){
                                        if(strtotime($start_time_compare) >= strtotime($start_hour) && strtotime($end_time_compare) > strtotime($endhour) && !empty($start_hour) && !empty($endhour) && $endhour <> '' && $start_hour <> '' && strtotime($start_time_compare) < strtotime($endhour)){
                                                if(empty($start_hour)){
                                                $start_hour = $start_time_compare;
                                            }
                                            if(strtotime($start_time_compare) < strtotime($start_hour)){
                                                $start_hour = $start_time_compare;
                                            }
                                            if(empty($endhour)){
                                                $endhour = $end_time_compare;
                                            }
                                            if(strtotime($end_time_compare) > strtotime($endhour)){
                                                $endhour = $end_time_compare;
                                            }
                                            $find_cell_value = strtotime($start_time_compare).strtotime($end_time_compare).$day_no;
                                        
                                            $hour_diff =  getTimeDiff($start_hour,$endhour);
                                            $hour_row = explode(':', $hour_diff);
                                            if(isset($hour_row[1]) && $hour_row[1] <> '00'){
                                                $hour_row_span = $hour_row[0]+1;
                                            } else {
                                                $hour_row_span = $hour_row[0];
                                            }
                                            
                                        }
                                        
                                    } else {
                                    
                                    if((strtotime($start_time_compare) == $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp)
                                    || (strtotime($end_time_compare) > $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp && strtotime($start_time_compare) < $next_hour_timestamp) && (strtotime($start_time_compare) <> strtotime($end_time_compare) && strtotime($start_time_compare) < strtotime($end_time_compare)) || (strtotime($start_time_compare)> strtotime($endhour) &&  $endhour <> '')){
                                        
                                            $current_td_value=strtotime($start_time_compare).'-'.strtotime($end_time_compare).'-'.$time->var_cp_timetable_day;
                                            $rowspan_counter++;
                                            if(empty($start_hour)){
                                                $start_hour = $start_time_compare;
                                            }
                                            if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                $start_hour = $start_time_compare;
                                                
                                            }
                                            if(empty($endhour)){
                                                $endhour = $end_time_compare;
                                            }
                                            if(strtotime($end_time_compare) > strtotime($endhour)){
                                                $endhour = $end_time_compare;
                                                
                                            }
                                            $find_cell_value = strtotime($start_time_compare).strtotime($end_time_compare).$day_no;
                                            
                                            $hour_diff =  getTimeDiff($start_hour,$endhour);
                                            $hour_row = explode(':', $hour_diff);
                                            if(isset($hour_row[1]) && $hour_row[1] <> '00'){
                                                $hour_row_span = $hour_row[0]+1;
                                            } else {
                                                $hour_row_span = $hour_row[0];
                                            }
                                    } 
                                    }
                                    } else {
                                            $hour_row_span = '';
                                        }
                                }
                            if($hour_row_span<2){
                                $hour_row_span = '';
                                $class_rowspan = '';
                            } else {
                                if(isset($hour_row['0']))
                                     $hour_row_span = $hour_row['0'];
                                $class_rowspan = 'row_span_class';
                            }
                            $value_exist = 0;
                            if(count($exist_cell_value)>0 && $find_cell_value <> ''){
                                foreach($exist_cell_value as $value){
                                    if($find_cell_value == $value){
                                        
                                        $value_exist = 1;	
                                    }
                                }
                            }
                            $rowspan = '';
                            if(isset($value_exist) && $value_exist <> '1'){
                                    if(isset($hour_row['0']) && count($hour_row['0'])>0){
                                        $rowspan = 'rowspan='.$hour_row['0'].'';
                                    }
                                    $class_counter = 0;
                                    echo "<td ".$rowspan." class='event-time ".$class_rowspan."' id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no."'>";
                                    $start_hour = '';
                                    $endhour = '';
                                    foreach($cs_xmlObject->time as $time){
                                        $start_time_compare_array = explode(':', $time->var_cp_timetable_start_time);
                                        $start_time_compare = $start_time_compare_array['0'].':00';
                                        $end_time_compare_array = explode(':', $time->var_cp_timetable_end_time);
                                        if($end_time_compare_array['1']>=30){
                                            $end_time_compare = ($end_time_compare_array['0']+01).':00';
                                        } else {
                                            $end_time_compare = $end_time_compare_array['0'].':00';
                                        }
                                        if($class_counter>0){
                                            if($time->var_cp_timetable_day==$day_no){
                                                if((strtotime($start_time_compare) >= strtotime($start_hour) && strtotime($end_time_compare) > strtotime($endhour) && !empty($start_hour) && !empty($endhour) && $endhour <> '' && $start_hour <> '' && strtotime($start_time_compare) < strtotime($endhour)) || (strtotime($start_time_compare)>=strtotime($start_hour) && strtotime($end_time_compare) < strtotime($endhour) ) || (strtotime($start_time_compare) >= $current_hour_timestamp && strtotime($end_time_compare) < strtotime($endhour))){
                                                if(empty($start_hour)){
                                                $start_hour = $start_time_compare;
                                                }
                                                if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                    $start_hour = $start_time_compare;
                                                }
                                                if(empty($endhour)){
                                                    $endhour = $end_time_compare;
                                                }
                                                if(strtotime($end_time_compare) > strtotime($endhour)){
                                                    $endhour = $end_time_compare;
                                                }
    
                                                $exist_cell_value[] = strtotime($start_time_compare).strtotime($end_time_compare).$time->var_cp_timetable_day;
                                                $class_counter++;
                                                echo '<div class="timetable-class-text" id="'.$td_id.$class_counter.'">';
                                                echo "<a href='".get_permalink((int) $time->var_cp_timetable_class_value)."' target='_blank'>".get_the_title((int) $time->var_cp_timetable_class_value)."</a>".$time->var_cp_timetable_day.'-'.$time->var_cp_timetable_start_time.' to '.$time->var_cp_timetable_end_time;
                                            
                                                    echo '</div>';
                                            }
                                            }
                                        } else {
                                        
                                        if((strtotime($start_time_compare) == $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp)
                                    || (strtotime($end_time_compare) > $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp && strtotime($start_time_compare) < $next_hour_timestamp) && (strtotime($start_time_compare) <> strtotime($end_time_compare) && strtotime($start_time_compare) < strtotime($end_time_compare)) || (strtotime($start_time_compare)> strtotime($endhour) &&  $endhour <> '')){
                                            if($time->var_cp_timetable_day==$day_no){
                                                
                                                if(empty($start_hour)){
                                                $start_hour = $start_time_compare;
                                                }
                                                if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                    $start_hour = $start_time_compare;
                                                    
                                                }
                                                if(empty($endhour)){
                                                    $endhour = $end_time_compare;
                                                }
                                                if(strtotime($end_time_compare) > strtotime($endhour)){
                                                    $endhour = $end_time_compare;
                                                    
                                                }
                                                
                                                
                                                $exist_cell_value[] = strtotime($start_time_compare).strtotime($end_time_compare).$time->var_cp_timetable_day;
                                                $class_counter++;
                                                echo '<div class="timetable-class-text" id="'.$td_id.$class_counter.'">';
                                                echo "<a href='".get_permalink((int) $time->var_cp_timetable_class_value)."' target='_blank'>".get_the_title((int) $time->var_cp_timetable_class_value)."</a>".'-'.$time->var_cp_timetable_day.'-'.$time->var_cp_timetable_start_time.' to '.$time->var_cp_timetable_end_time;
                                                    echo '</div>';
                                            }
                                    } 
                                        }
                                
                                }
                                $find_cell_value = '';
                                echo "</td>";
                            }
                        }
                    } else {
                        foreach($days as $day_no){
                            echo "<td class='event-time' id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no."'></td>";
                        }
                    }
                   echo "</tr>";
                 }
                 echo "</tbody></table></div>";
            }
            
            //break;
        
            
            endwhile; endif;
            ?>
            </div>	
                <script>
                jQuery(document).ready(function($) {
                    timetable_js();
                });				
                </script>
            </div>
        <?php	
                
	    $post_data = ob_get_clean();
		return $post_data;
	   }
	add_shortcode( 'cs_timetable', 'cs_timetable_shortcode' );
}
