<?php
/**
 * The template for displaying all single posts
 */
 	global $cs_node,$post,$cs_theme_options,$cs_counter_node;
	
	$cs_uniq = rand(40, 9999999);
	if ( is_single() ) {
		cs_set_post_views($post->ID);
	}	
	$cs_node = new stdClass();
  	get_header();
 	$cs_layout = '';
	$leftSidebarFlag	= false;
	$rightSidebarFlag	= false;

	?>
<!-- PageSection Start -->

<section class="page-section team-detail" style=" padding: 0; "> 
  <!-- Container -->
  <div class="container"> 
    <!-- Row -->
    <div class="row">
      <?php
	if (have_posts()):
		while (have_posts()) : the_post();	
		$postname = 'member';
		$image_url = cs_get_post_img_src($post->ID, 362, 502);	

		$post_xml = get_post_meta($post->ID, "member", true);	
			if ( $post_xml <> "" ) {
			
				$cs_xmlObject = new SimpleXMLElement($post_xml);
				$cs_layout 			= $cs_xmlObject->sidebar_layout->cs_page_layout;
				$cs_sidebar_left 	= $cs_xmlObject->sidebar_layout->cs_page_sidebar_left;
				$cs_sidebar_right   = $cs_xmlObject->sidebar_layout->cs_page_sidebar_right;
				if(isset($cs_xmlObject->cs_related_post))
					$cs_related_post = $cs_xmlObject->cs_related_post;
				else 
					$cs_related_post = '';
				
				if(isset($cs_xmlObject->cs_post_tags_show))
					$post_tags_show = $cs_xmlObject->cs_post_tags_show;
				else 
					$post_tags_show = '';
				
				if(isset($cs_xmlObject->post_social_sharing))
					$cs_post_social_sharing = $cs_xmlObject->post_social_sharing;
				else 
					$cs_post_social_sharing = '';
				
				if(isset($cs_xmlObject->cs_post_author_info_show))
					 $cs_post_author_info_show = $cs_xmlObject->cs_post_author_info_show;
				else 
					$cs_post_author_info_show = '';

				if ( $cs_layout == "left") {
					$cs_layout = "page-content";
					$leftSidebarFlag	= true;
				}
				else if ( $cs_layout == "right" ) {
					$cs_layout = "page-content";
					$rightSidebarFlag	= true;
				}
				else {
					$cs_layout = "col-md-12";
				}
				$postname = 'member';
			}else{
				$cs_layout 	=  $cs_theme_options['cs_single_post_layout'];
				if ( isset( $cs_layout ) && $cs_layout == "sidebar_left") {
					$cs_layout = "page-content";
					$cs_sidebar_left	= $cs_theme_options['cs_single_layout_sidebar'];
					$leftSidebarFlag	= true;
				} else if ( isset( $cs_layout ) && $cs_layout == "sidebar_right" ) {
					$cs_layout = "page-content";
					$cs_sidebar_right	= $cs_theme_options['cs_single_layout_sidebar'];
					$rightSidebarFlag	= true;
				} else {
					$cs_layout = "col-md-12";
				}
  				$post_pagination_show = 'on';
				$post_tags_show = '';
				$cs_related_post = '';
				$post_social_sharing = '';
				$post_social_sharing = '';
				$cs_post_author_info_show = '';
				$postname = 'member';
				$cs_post_social_sharing = '';
			}
			if ($post_xml <> "") {
				$cs_xmlObject = new SimpleXMLElement($post_xml);
				$cs_team_designation = $cs_xmlObject->cs_team_designation;
				$postname = 'member';
			}
			else {
				$cs_xmlObject = new stdClass();
				$cs_team_designation = '';
				$postname = 'member';
			}		
		$width = 362;
		$height = 502;
		$image_url = cs_get_post_img_src($post->ID, $width, $height);
		$cs_content_section	= 'element-size-100';
		
		if ( $image_url <> '') {
			$cs_content_section	= 'element-size-67';
		}
		
		$cs_is_designation	= false;
		?>
      <!--Left Sidebar Starts-->
      <?php if ($leftSidebarFlag == true){ ?>
      <aside class="page-sidebar">
        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar_left) ) : ?>
        <?php endif; ?>
      </aside>
      <?php } ?>
      <!--Left Sidebar End--> 
      
      <!-- Team Detail Start -->
      <div class="<?php echo esc_attr($cs_layout); ?>"> 
        <!-- Team Start --> 
        <!-- Row -->
			<?php if ( $image_url <> '') {?>
                <div class="element-size-33"> 
                    <figure class="csteam-featured"><img src="<?php echo esc_attr( $image_url );?>" alt="" ></figure>
                </div>
			<?php }?>
			<div class="<?php echo esc_attr( $cs_content_section );?>">
                <div class="col-md-12 csteam-detail">
                    <div class="rich_editor_text lightbox">
 					   <?php 
							the_content();
							wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'pc' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); 
						?>
                      <?php 
                        if ( isset( $cs_xmlObject->social_media ) && is_object( $cs_xmlObject ) && count( $cs_xmlObject->social_media )>0 ) {?>
                             <div class="sg-socialmedia">
                              <ul>
                                <?php 
                                    foreach ( $cs_xmlObject as $social ){
                                    if ( $social->getName() == "social_media" ) {
			
                                        $cs_social_title 		= $social->social_title;
                                        $cs_social_icon 		= $social->social_icon;
                                        $cs_url 				= $social->target_url;
                                        ?>
                                        <li><a data-original-title="<?php echo esc_attr( $cs_social_title );?>" href="<?php echo esc_url( $cs_url );?>"><i class="<?php echo esc_attr( $cs_social_icon );?>"></i></a></li>
                                    <?php 
                                    }
                                }?>
                             </ul>
                            </div>
                      	<?php }?>
                      </div>
                    <div class="spreater csteam-spreater">
                        <div class="spreater-inn">
                            <img src="<?php echo get_template_directory_uri();?>/assets/images/spreater1.png" alt="">
                        </div>
                    </div>
                    <div class="teacher-information">
                    	<div class="cs-section-title"><h2><?php _e('Teacher information','pc');?></h2></div>
                        
                         <?php if( isset( $cs_team_designation ) && $cs_team_designation !='' ) {
                                 $cs_background	= 'style=background-color:#f8f5f8;';
                                 $cs_is_designation	= true;
                         ?>
                         <article>
                            <span><?php _e('Designation','pc');?></span>
                            <h3><?php echo esc_attr( $cs_team_designation );?></h3>
                         </article>
                         <?php }?>
                        <?php 
                            if ( isset( $cs_xmlObject->social_media ) && is_object( $cs_xmlObject ) && count( $cs_xmlObject->social_media )>0 ) {?>
                                <?php
                                    if ( isset ( $cs_is_designation ) && $cs_is_designation == true ){
                                        $cs_count		= 1; 
                                    } else {
                                        $cs_count		= 0; 
                                    }
                                    
                                    foreach ( $cs_xmlObject as $social ){
                                    $cs_background	= '';
                                    if ( $social->getName() == "dynamic_fields" ) { 
                                        $cs_fields_title 		= $social->dynamic_fields_title;
                                        $cs_description 		= $social->dynamic_fields_description;
                                        if ( isset( $cs_description ) && $cs_description !='' ) {
                                            $cs_count++;
                                            if ( $cs_count % 2 != 0 ){
                                                //$cs_background	= 'style=background-color:#f8f5f8;';
                                            }
											$cs_description = do_shortcode($cs_description);
                                        ?>
                                        <article>
                                            <span><?php echo esc_attr( $cs_fields_title );?></span>
                                            <h3><?php echo nl2br( $cs_description );?></h3>
                                        </article>
                               <?php }
                                   }
                                 }?>
                         <?php }?>
                  </div>
                </div>
                
              <?php if ( isset( $cs_xmlObject->faqs ) && is_object( $cs_xmlObject ) && count( $cs_xmlObject->faqs )> 0 ) {?>
              <div class="col-md-12">
                <div class="cs-section-title"><h2><?php _e('Questions and Answers','pc');?></h2></div>
                <div class="panel-group default" id="accordion">
                <?php
				$cs_count_faq		= 0; 
				$cs_count_faqs		= 1; 
				foreach ( $cs_xmlObject as $faq ){
				$cs_count_faq++;
				$cs_background	= '';
				if ( $faq->getName() == "faqs" ) { 
					$cs_faq_title 				= $faq->faq_title;
					$cs_faq_description 		= $faq->faq_description;
					
					$cs_aria_expanded = 'false';
					$cs_data_toggle = 'collapse collapsed';
					$cs_collapse_class = 'collapse';
					if($cs_count_faqs == 1){
						$cs_aria_expanded = 'true';
						$cs_data_toggle = 'collapse';
						$cs_collapse_class = 'collapse in';
					}
					$cs_count_faqs++;
				?>
                  <div class="panel panel-default">
                    <div class="panel-heading">
                      <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#faq" href="#collapseFaq_<?php echo intval( $cs_count_faq );?>" class="<?php echo esc_attr($cs_data_toggle); ?>" aria-expanded="<?php echo esc_attr($cs_aria_expanded); ?>">
                          <?php echo esc_attr( $cs_faq_title );?>
                        </a>
                      </h4>
                    </div>
                    <div id="collapseFaq_<?php echo intval( $cs_count_faq );?>" class="panel-collapse <?php echo esc_attr($cs_collapse_class); ?>">
                      <div class="panel-body">
                        <div class="textborder"><?php echo  do_shortcode( $cs_faq_description ) ;?></div>
                      </div>
                    </div>
                  </div>
                <?php } }?>
               </div>
              </div>
              <?php }?>
         	</div>
      </div>
          
      <?php 
	  endwhile;   
	  endif; 
	  ?>
      </div>
      <?php if ($rightSidebarFlag == true){ ?>
      		<aside class="page-sidebar">
       			<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar_right) ) : endif; ?>
      		</aside>
      <?php } ?>   
    </div>
</section>
<!-- PageSection End --> 
<!-- Footer -->
<?php get_footer(); ?>