<?php
/**
 * File Type: Timetable Page Builder Element
 */


//======================================================================
// Timetable html form for page builder start
//======================================================================
if ( ! function_exists( 'cs_pb_timetable' ) ) {
	function cs_pb_timetable($die = 0){
		global $cs_node, $post;
		$shortcode_element = '';
		$filter_element = 'filterdrag';
		$shortcode_view = '';
		$output = array();
		$counter = $_POST['counter'];
		$cs_counter = $_POST['counter'];
		if ( isset($_POST['action']) && !isset($_POST['shortcode_element_id']) ) {
			$POSTID = '';
			$shortcode_element_id = '';
		} else {
			$POSTID = $_POST['POSTID'];
			$shortcode_element_id = $_POST['shortcode_element_id'];
			$shortcode_str = stripslashes ($shortcode_element_id);
			$PREFIX = 'cs_timetable';
			$parseObject 	= new ShortcodeParse();
			$output = $parseObject->cs_shortcodes( $output, $shortcode_str , true , $PREFIX );
		}
		$defaults = array('cs_timetable_section_title'=>'','cs_timetable_classs'=>'','cs_timetable_filter'=>'','cs_timetable_class' => '','cs_timetable_animation' => '');
			if(isset($output['0']['atts']))
				$atts = $output['0']['atts'];
			else 
				$atts = array();
			$timetable_element_size = '50';
			foreach($defaults as $key=>$values){
				if(isset($atts[$key]))
					$$key = $atts[$key];
				else 
					$$key =$values;
			 }
			$name = 'cs_pb_timetable';
			$coloumn_class = 'column_'.$timetable_element_size;
		if(isset($_POST['shortcode_element']) && $_POST['shortcode_element'] == 'shortcode'){
			$shortcode_element = 'shortcode_element_class';
			$shortcode_view = 'cs-pbwp-shortcode';
			$filter_element = 'ajax-drag';
			$coloumn_class = '';
		}
	?>
    <div id="<?php echo esc_attr( $name.$cs_counter );?>_del" class="column  parentdelete <?php echo esc_attr( $coloumn_class );?> <?php echo esc_attr( $shortcode_view );?>" item="timetable" data="<?php echo element_size_data_array_index($timetable_element_size)?>">
      <?php cs_element_setting($name,$cs_counter,$timetable_element_size);?>
      <div class="cs-wrapp-class-<?php echo intval( $cs_counter )?> <?php echo esc_attr( $shortcode_element );?>" id="<?php echo esc_attr( $name.$cs_counter )?>" data-shortcode-template="[cs_timetable {{attributes}}]"  style="display: none;">
        <div class="cs-heading-area">
          <h5>Edit Timetable Options</h5>
          <a href="javascript:removeoverlay('<?php echo esc_js( $name.$cs_counter );?>','<?php echo esc_js( $filter_element );?>')" class="cs-btnclose"><i class="icon-times"></i></a> </div>
        <div class="cs-pbwp-content">
          <div class="cs-wrapp-clone cs-shortcode-wrapp">
            <?php
             if(isset($_POST['shortcode_element']) && $_POST['shortcode_element'] == 'shortcode'){cs_shortcode_element_size();}?>
            <ul class="form-elements">
                <li class="to-label"><label>Section Title</label></li>
                <li class="to-field">
                    <input  name="cs_timetable_section_title[]" type="text"  value="<?php echo esc_attr( $cs_timetable_section_title )?>"   />
                </li>                  
            </ul>
            <ul class="form-elements">
              <li class="to-label">
                <label>Select Class</label>
              </li>
              <li class="to-field">
                <div class="input-sec">
                  <div class="select-style">
				    <select name="cs_timetable_classs[]" class="dropdown">
                    	<?php
							query_posts( array('posts_per_page' => "-1", 'post_status' => 'publish', 'post_type' => 'class') );
							while ( have_posts()) : the_post();
							?>
								<option <?php if (get_the_ID() == $cs_timetable_classs) { echo 'selected="selected"';}?> value="<?php the_ID()?>"><?php the_title()?></option>
							<?php
							endwhile;
							wp_reset_query();
						?>
                    </select>
                  </div>
                </div>
                <div class="left-info">
                  <p>Please select class for Timetable</p>
                </div>
              </li>
            </ul>
            
            <ul class="form-elements">
              <li class="to-label">
                <label>Select Class</label>
              </li>
              <li class="to-field">
                <div class="input-sec">
                  <div class="select-style">
				    <select name="cs_timetable_filter[]" class="dropdown">
                    	<option value="on" <?php if($cs_timetable_filter == 'on'){echo 'selected="selected"';}?>>On</option>
                        <option value="off" <?php if($cs_timetable_filter == 'off'){echo 'selected="selected"';}?>>Off</option>
                    </select>
                  </div>
                </div>
                <div class="left-info">
                  <p>Please select class for Timetable</p>
                </div>
              </li>
            </ul>
            
            <?php 
                if ( function_exists( 'cs_shortcode_custom_classes' ) ) {
                    cs_shortcode_custom_dynamic_classes($cs_timetable_class,$cs_timetable_animation,'','cs_timetable');
                }
            ?>
            <?php if(isset($_POST['shortcode_element']) && $_POST['shortcode_element'] == 'shortcode'){?>
            <ul class="form-elements insert-bg">
              <li class="to-field"> <a class="insert-btn cs-main-btn" onclick="javascript:Shortcode_tab_insert_editor('<?php echo esc_js( str_replace('cs_pb_','',$name) );?>','<?php echo esc_js( $name.$cs_counter )?>','<?php echo esc_js( $filter_element );?>')" >Insert</a> </li>
            </ul>
            <div id="results-shortocde"></div>
            <?php } else {?>
            <ul class="form-elements">
              <li class="to-label"></li>
              <li class="to-field">
                <input type="hidden" name="cs_orderby[]" value="timetable" />
                <input type="button" value="Save" style="margin-right:10px;" onclick="javascript:_removerlay(jQuery(this))" />
              </li>
            </ul>
            <?php }?>
          </div>
        </div>
      </div>
    </div>
<?php
		if ( $die <> 1 ) die();
	}
	add_action('wp_ajax_cs_pb_timetable', 'cs_pb_timetable');
}