<?php
/**
 * The template for Home page
 
 */
 
 get_header();
 global $cs_node,$cs_theme_options,$cs_counter_node;

	if(isset($cs_theme_options['cs_excerpt_length']) && $cs_theme_options['cs_excerpt_length'] <> ''){ $default_excerpt_length = $cs_theme_options['cs_excerpt_length']; }else{ $default_excerpt_length = '255';}; 
			
	$cs_layout 	=  $cs_theme_options['cs_default_page_layout'];
	if ( isset( $cs_layout ) && $cs_layout == "sidebar_left") {
		$cs_layout = "content-right col-md-9";
		$custom_height = 390;
	} else if ( isset( $cs_layout ) && $cs_layout == "sidebar_right" ) {
		$cs_layout = "content-left col-md-9";
		$custom_height = 390;
	} else {
		$cs_layout = "col-md-12";
		$custom_height = 390;
	}
	$cs_sidebar	= $cs_theme_options['cs_default_layout_sidebar'];

	$cs_tags_name = 'post_tag';
	$cs_categories_name = 'category';

	?>   
       <section class="page-section" style="padding:0;">
            <!-- Container -->
            <div class="container">
                <!-- Row -->
              <div class="row">     
                <!--Left Sidebar Starts-->
				<?php if ($cs_layout == 'content-right col-md-9'){ ?>
                    <div class="content-lt col-md-3"><?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar) ) : ?><?php endif; ?></div>
                <?php } ?>
                <!--Left Sidebar End-->
                
                <!-- Page Detail Start -->
        		<div class="<?php echo esc_attr($cs_layout); ?>">
					<?php 
					if (empty($_GET['page_id_all']))
                              $_GET['page_id_all'] = 1;
                          if (!isset($_GET["s"])) {
                              $_GET["s"] = '';
                          }
						  
					$cs_description = 'yes';
					$cs_excerpt	 = '255'; 
 					$width = '818';
					$height = '460';
					$title_limit = 1000;
					if ( have_posts() ) : 
					$postCounter	= 0;
					$post_thumb_view = 'Single Image';
        
                      while ( have_posts() ) : the_post();
					  	$postCounter++;
						$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
						$post_xml = get_post_meta(get_the_id(), "post", true);
						if ( $post_xml <> "" ) {
							$cs_xmlObject = new SimpleXMLElement($post_xml);
							$post_thumb_view = $cs_xmlObject->post_thumb_view;
							$post_thumb_audio = $cs_xmlObject->post_thumb_audio;
						}
						?>
						<div class="col-md-12">
                          <div class="cs-blog blog-large">
                    
							<?php if ( $post_thumb_view == 'Single Image' ){
                                    if ( isset( $thumbnail ) && $thumbnail !='' ) {?>
                                        <div class="cs-media">
                                          <figure>
                                            <a href="<?php echo the_permalink();?>"><img alt="<?php echo the_title();?>" src="<?php echo esc_url( $thumbnail );?>"></a>
                                          </figure>
                                        </div>
                                <?php }
                                  }
								?>
							 
							 <section>
								  <div class="date-time"><time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date()));?>"><span><?php echo date_i18n('M',strtotime(get_the_date()));?> <strong><?php echo date_i18n('d',strtotime(get_the_date()));?></strong></span><small><?php echo date_i18n('Y',strtotime(get_the_date()));?></small></time></div>
								  <div class="blog-text">
									  <ul class="post-options">
										  <?php
										  $categories_list = get_the_term_list ( get_the_id(), 'category', '', '', '' );
										   if ( $categories_list ){
											  echo '<li class="categories"><i class="icon-air"></i>';
												  printf( __( '%1$s', 'pc'),$categories_list );
											  echo '</li>';
										  }
										  ?>
									  </ul>
									  <h2><a href="<?php echo the_permalink();?>"><?php echo substr(get_the_title(),0, $title_limit); if(strlen(get_the_title())>$title_limit){echo '...';}?></a></h2>
									  <?php if ($cs_description == 'yes') {?><p class="textborder"> <?php echo cs_get_the_excerpt($cs_excerpt,'ture','');?></p><?php } ?> 
									  
									  <ul class="post-options">
										  <li>
											  <span><?php echo comments_number(__('0', 'pc'), __('1', 'pc'), __('%', 'pc') );?></span>
											  <a href="<?php comments_link(); ?>"><?php _e('Comments','pc');?></a>
										  </li>
										  <li><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><i class="icon-user9"></i><?php the_author(); ?></a></li>
										  <?php  
											  $categories_list = get_the_term_list ( get_the_id(), 'post_tag', '', ', ', '' );
												if ( $categories_list ){
													echo '<li><i class="icon-tag7"></i>';
														printf( __( '%1$s', 'pc'),$categories_list );
													echo '</li>';
											  }
											?>
									  </ul>
									  <a href="<?php echo the_permalink();?>" class="read-more"><i class="icon-forward3"></i><?php _e('Read More','pc');?></a>
								  </div>
							  </section>
							 
						  </div>
						</div>
									<div class="col-md-12">
							  <div class="spreater">
								  <div class="spreater-inn">
									  <img src="<?php echo get_template_directory_uri(); ?>/assets/images/spreater1.png" alt="">
								  </div>
							  </div>
						</div>
						<?php
		  				endwhile;
     			
                    else:
                         if ( function_exists( 'fnc_no_result_found' ) ) { fnc_no_result_found(); }
                    endif; 
                    ?>
                    
					<?php
                        $qrystr = '';
                        if ( isset($_GET['page_id']) ) $qrystr .= "&page_id=".$_GET['page_id'];
						if ($wp_query->found_posts > get_option('posts_per_page')) {
						   if ( function_exists( 'cs_pagination' ) ) { echo cs_pagination(wp_count_posts()->publish,get_option('posts_per_page'), $qrystr); } 
						}
                    ?>
            </div>
             	<!-- Page Detail End -->
                
                <!-- Right Sidebar Start -->
                <?php if ( $cs_layout  == 'content-left col-md-9'){ ?>
                   <div class="content-rt col-md-3"><?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar) ) : ?><?php endif; ?></div>
                <?php } ?>
                <!-- Right Sidebar End -->
   			</div> 	
        </div>
  </section>
<?php 

	

get_footer(); ?>